Subject: Re: Proposal: Write git subtree info to .git/config

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Mar 2014 16:36:06 -0700

John Butterfield <[email-masked]> writes:

> Has there been any talk about adding a stub for git subtrees in .git/config?

I do not think so, and that is probably for a good reason.

A subtree biding can change over time, but .git/config is about
recording information that do not change depending on what tree you
are looking at, so there is an impedance mismatch---storing that
information in .git/config is probably a wrong way to go about it.

It might help to keep track of "In this tree, the tip of that other
history is bound as a subtree at this path", which means that
information more naturally belongs to each tree, I would think.